package com.kingdee.eas.custom.performancenew;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class PersonRelationOrgFactory
{
    private PersonRelationOrgFactory()
    {
    }
    public static com.kingdee.eas.custom.performancenew.IPersonRelationOrg getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.performancenew.IPersonRelationOrg)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("96A6E200") ,com.kingdee.eas.custom.performancenew.IPersonRelationOrg.class);
    }
    
    public static com.kingdee.eas.custom.performancenew.IPersonRelationOrg getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.performancenew.IPersonRelationOrg)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("96A6E200") ,com.kingdee.eas.custom.performancenew.IPersonRelationOrg.class, objectCtx);
    }
    public static com.kingdee.eas.custom.performancenew.IPersonRelationOrg getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.performancenew.IPersonRelationOrg)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("96A6E200"));
    }
    public static com.kingdee.eas.custom.performancenew.IPersonRelationOrg getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.performancenew.IPersonRelationOrg)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("96A6E200"));
    }
}